commit 8f2cc62785ea115212e70472956210835d0c8106
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sat Oct 19 17:54:59 2024 +0200

    testsuite: arm: Relax cbranch tests to accept inverted branches
    
    Similar to PR113502, but for non-aarch64 test.
    The test started to fail after r14-7243-gafac1bd3365.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/vect-early-break-cbranch.c: Ignore exact
            branch.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit d56d2f3102ada3d68eaa318de4b6d1a17d9cd74d)

diff --git a/gcc/testsuite/gcc.target/arm/vect-early-break-cbranch.c b/gcc/testsuite/gcc.target/arm/vect-early-break-cbranch.c
index d5c6d56ec86..334e064a239 100644
--- a/gcc/testsuite/gcc.target/arm/vect-early-break-cbranch.c
+++ b/gcc/testsuite/gcc.target/arm/vect-early-break-cbranch.c
@@ -20,7 +20,7 @@ int b[N] = {0};
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */
@@ -45,7 +45,7 @@ void f1 ()
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */
@@ -70,7 +70,7 @@ void f2 ()
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */
@@ -96,7 +96,7 @@ void f3 ()
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */
@@ -121,7 +121,7 @@ void f4 ()
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */
@@ -146,7 +146,7 @@ void f5 ()
 **	cmp	r[0-9]+, #0
 **	bne	\.L[0-9]+
 ** |
-**	cbnz	r[0-9]+, \.L.+
+**	cbn?z	r[0-9]+, \.L.+
 ** )
 **	...
 */

